//+------------------------------------------------------------------+
//|                                                         CATR.mqh |
//|                                    Copyright 2017, Erwin Beckers |
//|                                              www.erwinbeckers.nl |
//+------------------------------------------------------------------+
#property copyright "Copyright 2017, Erwin Beckers"
#property link      "www.erwinbeckers.nl"
#property strict

extern string				____ATR						   = "-----------------------------------------------";
extern int					   ATR_Period					= 14;
extern int					   ATR_SmoothingPeriod		= 5;

class CATR
{

public:
   double GetValue()
   {
   	int		barStart  = 1;
   	double	sumATR    = 0;
   	double	count	    = 0;
   	int		timeFrame = Period();
   
   	for(int bar = 0; bar < ATR_SmoothingPeriod; bar++ )
   	{
   		sumATR = sumATR + iATR(Symbol(), timeFrame, ATR_Period, barStart + bar);
   		count++;
   	}
   	return sumATR / count;
   }
};