//+------------------------------------------------------------------+
//|                                                    CTelegram.mqh |
//|                        Copyright 2017, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2017, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property strict

#import "Telegram4Mql.dll"
   string TelegramSendTextAsync(string apiKey, string chatId, string chatText);
   string TelegramSendText(string apiKey, string chatId, string chatText);
   string TelegramSendScreenAsync(string apiKey, string chatId, string caption = "");
   string TelegramSendScreen(string apiKey, string chatId, string caption = "");
   string TelegramGetUpdates(string apiKey, string validUsers, bool confirmUpdates);
   string TelegramSendPhoto(string apiKey, string chatId, string filePath, string caption = "");
   string TelegramSendPhotoAsync(string apiKey, string chatId, string filePath, string caption = "");
   string TelegramSendDocument(string apiKey, string chatId, string filePath, string caption = "");
   string TelegramSendDocumentAsync(string apiKey, string chatId, string filePath, string caption = "");
#import


// 463133886:AAH9uWGxZ28SnPc8GvltW5bD_fnKsr73q10
class CTelegram
{
private:
   string _apiKey;
public:
   CTelegram(){
      _apiKey = "---";
   }
   
   void Send(string chatId, string text)
   {
      TelegramSendTextAsync(_apiKey, chatId, text);
   }
};
